<?php include ("./conn/conn.php") ?>

<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>School Visitors Log Book</title>

    <!-- Style CSS -->
    <link rel="stylesheet" href="./assets/style.css">

    <!-- Bootstrap CSS -->
    <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@4.6.2/dist/css/bootstrap.min.css">
</head>
<body>

    <nav class="navbar navbar-expand-lg navbar-dark bg-dark">
        <a class="navbar-brand ml-3" href="">School Visitors Log e-Book</a>
        <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarNav" aria-controls="navbarNav" aria-expanded="false" aria-label="Toggle navigation">
            <span class="navbar-toggler-icon"></span>
        </button>
        <div class="collapse navbar-collapse" id="navbarNav">
            <ul class="navbar-nav">
            <li class="nav-item">
                <a class="nav-link" href="http://localhost/school-visitors-log-e-book">Home<span class="sr-only">(current)</span></a>
            </li>
            <li class="nav-item active">
                <a class="nav-link" href="http://localhost/school-visitors-log-e-book/log-book.php">Log e-Book</a>
            </li>
            <li class="nav-item">
                <a class="nav-link" href="http://localhost/school-visitors-log-e-book/visitors.php">Visitors</a>
            </li>
            </ul>
        </div>
    </nav>

    <div class="main">
        
        <div class="log-e-book-container row">
            <div class="form col-8">
                <h2>Log Book Form</h3>
                <form class="mt-4" action="./endpoint/add-visitor.php" method="POST">
                    <div class="form-group">
                        <label for="name">Full Name:</label>
                        <input type="text" class="form-control" id="name" name="name">
                    </div>
                    <div class="form-row">
                        <div class="form-group col-md-6">
                            <label for="contactNumber">Contact Number:</label>
                            <input type="text" class="form-control" id="contactNumber" name="contact_number">
                            </div>
                            <div class="form-group col-md-6">
                            <label for="address">Address:</label>
                            <input type="text" class="form-control" id="address" name="address">
                        </div>
                    </div>
                    <div class="form-group">
                        <label for="purposeOffice">Purpose/Office to Visit</label>
                        <input type="text" class="form-control" id="purposeOffice" name="purpose_office">
                    </div>
                    <button type="submit" class="btn btn-dark float-right">Submit</button>
                    <button type="button" class="btn btn-danger float-right  mr-3">Clear All</button>
                </form>
            </div>

            <div class="logo ml-3">
                <img src="https://png.pngtree.com/png-vector/20230306/ourmid/pngtree-scool-college-logo-victor-vector-png-image_6634445.png" alt="">
            </div>
        </div>

        <div class="recently-added">
            <h5 class="mb-3">Recently Added</h5>
            <table class="table">
                <thead class="thead-dark">
                    <tr>
                        <th scope="col">Log ID</th>
                        <th scope="col">Date</th>
                        <th scope="col">Full Name</th>
                        <th scope="col">Purpose/Office to Visit</th>
                        <th scope="col">Time In</th>
                    </tr>
                </thead>
                <tbody>

                    <?php 
                        $stmt = $conn->prepare("SELECT * FROM tbl_visitors ORDER BY tbl_visitor_id DESC LIMIT 3");
                        $stmt->execute();
        
                        $result = $stmt->fetchAll();
        
                        foreach ($result as $row) {
                            $visitorID = $row["tbl_visitor_id"];
                            $date = $row["date"];
                            $name = $row["name"];
                            $purposeOffice = $row["purpose_office"];
                            $timeIn = $row["time_in"];
                        ?>

                        <tr>
                            <th scope="row"><?= $visitorID ?></th>
                            <td><?= $date ?></td>
                            <td><?= $name ?></td>
                            <td><?= $purposeOffice ?></td>
                            <td><?= $timeIn ?></td>
                        </tr>

                        <?php
                    }
                    ?>
                </tbody>
            </table>
        </div>

    </div>
    

    <!-- Bootstrap JS -->
    <script src="https://cdn.jsdelivr.net/npm/jquery@3.5.1/dist/jquery.slim.min.js"></script>
    <script src="https://cdn.jsdelivr.net/npm/popper.js@1.16.1/dist/umd/popper.min.js"></script>
    <script src="https://cdn.jsdelivr.net/npm/bootstrap@4.6.2/dist/js/bootstrap.min.js"></script>

    <!-- Script  -->
    <script src="./assets/script.js"></script>
</body>
</html>