<?php include ("./conn/conn.php") ?>

<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>School Visitor Log e-e-book</title>

    <!-- Style CSS -->
    <link rel="stylesheet" href="./assets/style.css">

    <!-- Bootstrap CSS -->
    <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@4.6.2/dist/css/bootstrap.min.css">

    <!-- Data Table -->
    <link rel="stylesheet" href="https://cdn.datatables.net/1.13.7/css/jquery.dataTables.css" />
    
</head>
<body>

    <nav class="navbar navbar-expand-lg navbar-dark bg-dark">
        <a class="navbar-brand ml-3" href="">School Visitor Log e-book</a>
        <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarNav" aria-controls="navbarNav" aria-expanded="false" aria-label="Toggle navigation">
            <span class="navbar-toggler-icon"></span>
        </button>
        <div class="collapse navbar-collapse" id="navbarNav">
            <ul class="navbar-nav">
            <li class="nav-item">
                <a class="nav-link" href="http://localhost/school-visitors-log-e-book">Home<span class="sr-only">(current)</span></a>
            </li>
            <li class="nav-item">
                <a class="nav-link" href="http://localhost/school-visitors-log-e-book/log-book.php">Log e-Book</a>
            </li>
            <li class="nav-item active">
                <a class="nav-link" href="http://localhost/school-visitors-log-e-book/visitors.php">Visitors</a>
            </li>
            </ul>
        </div>
    </nav>

    <div class="main">
        <div class="visitors-container">
            <div class="row">
            <h2 class="mb-3 col-10">Visitors</h2>
                <div class="buttons float-right">
                    <button type="button" class="btn btn-danger" onclick="deleteAll()">Delete All</button>
                    <button type="button" class="btn btn-primary" onclick="printVisitors()">Print</button>
                </div>
            </div>

            <table class="table" id="visitorTable">
                <thead class="thead-dark">
                    <tr>
                        <th scope="col">Log ID</th>
                        <th scope="col">Date</th>
                        <th scope="col">Full Name</th>
                        <th scope="col">Contact</th>
                        <th scope="col">Address</th>
                        <th scope="col">Purpose/Office to Visit</th>
                        <th scope="col">Time In</th>
                    </tr>
                </thead>
                <tbody>
                    <?php 
                        $stmt = $conn->prepare("SELECT * FROM tbl_visitors");
                        $stmt->execute();
        
                        $result = $stmt->fetchAll();
        
                        foreach ($result as $row) {
                            $visitorID = $row["tbl_visitor_id"];
                            $date = $row["date"];
                            $name = $row["name"];
                            $contactNumber = $row["contact_number"];
                            $address = $row["address"];
                            $purposeOffice = $row["purpose_office"];
                            $timeIn = $row["time_in"];
                        ?>

                        <tr>
                            <th scope="row"><?= $visitorID ?></th>
                            <td><?= $date ?></td>
                            <td><?= $name ?></td>
                            <td><?= $contactNumber ?></td>
                            <td><?= $address ?></td>
                            <td><?= $purposeOffice ?></td>
                            <td><?= $timeIn ?></td>
                        </tr>
                        <?php
                    }
                    ?>
                </tbody>
            </table>

        </div>
    </div>
    

    <!-- Bootstrap JS -->
    <script src="https://cdn.jsdelivr.net/npm/jquery@3.5.1/dist/jquery.slim.min.js"></script>
    <script src="https://cdn.jsdelivr.net/npm/popper.js@1.16.1/dist/umd/popper.min.js"></script>
    <script src="https://cdn.jsdelivr.net/npm/bootstrap@4.6.2/dist/js/bootstrap.min.js"></script>
    
    <!-- Data Table -->
    <script src="https://cdn.datatables.net/1.13.7/js/jquery.dataTables.js"></script>

    <!-- Script  -->
    <script src="./assets/script.js"></script>
</body>
</html>